#ifndef COUNTERCHANNEL_H
#define COUNTERCHANNEL_H

#include <QObject>

class CounterChannel : public QObject
{
    Q_OBJECT
public:
    explicit CounterChannel(QObject *parent = nullptr);

    bool isActive();
    QString getDeviceId();
    QString getChannelId();
    QString getChannelCode();
    QString getChannelNo();
    QString getDelays();
    QString getIsUse();
    QString getName();
    void setActive(bool active);
    void setDeviceId(QString deviceId);
    void setChannelId(QString channelId);
    void setChannelCode(QString channelCode);
    void setChannelNo(QString channelNo);
    void setDelays(QString delays);
    void setIsUse(QString isUse);
    void setName(QString name);

    QList<QStringList> getHisData();
    void appendHisData(QString timestampStr, QString valueStr);

private:
    bool active = true;
    QString deviceId;
    QString channelId;
    QString channelCode;
    QString channelNo;
    QString delays;
    QString isUse;
    QString name;

    int maxHisDataCount = 3600;
    QList<QStringList> hisDataList;

signals:

};

#endif // COUNTERCHANNEL_H
